Перейти к публикации

Рекомендованные сообщения

Стоит последняя (для автонавигаторов)версия Навитела (7.0.0.342)

С удивлением обнаружил, что при попытке перейти на другую версию (3.5.....) при старте кричит об ошибке (exception....)

Перепробовал 3..... 5..... - НЕ ХОЧЕТ

7.... - нет проблем

Раньше за ним такого не замечалось

Чтобы это значило :?:

Что-то сломалось в OS?

-------------

PRESTIGIO_GV5200

Изменено пользователем Dolly
Ссылка на комментарий
Поделиться на других сайтах

Стоит последняя (для автонавигаторов)версия Навитела (7.0.0.342)

С удивлением обнаружил, что при попытке перейти на другую версию (3.5.....) при старте кричит об ошибке (exception....)

Перепробовал 3..... 5..... - НЕ ХОЧЕТ

7.... - нет проблем

Раньше за ним такого не замечалось

Чтобы это значило :?:

Что-то сломалось в OS?

-------------

PRESTIGIO_GV5200

Вы программу ставили на чистую флеш память навигатора, возможно даже может и отформатировать нужно, в режиме FULL.

Ссылка на комментарий
Поделиться на других сайтах

Стоит последняя (для автонавигаторов)версия Навитела (7.0.0.342)

С удивлением обнаружил, что при попытке перейти на другую версию (3.5.....) при старте кричит об ошибке (exception....)

Перепробовал 3..... 5..... - НЕ ХОЧЕТ

7.... - нет проблем

Раньше за ним такого не замечалось

Чтобы это значило :?:

Что-то сломалось в OS?

-------------

PRESTIGIO_GV5200

Вы программу ставили на чистую флеш память навигатора, возможно даже может и отформатировать нужно, в режиме FULL.

Не понял

OS - не трогал

Исполняемые файлы Navitel (разные версии) стоят как на внутренней так и на внешней памяти.

Навигатор Prestigio (по крайней мере GV5200) отличается всеядностью к месту расположения как карт так и exe-шников. В последнее время все стояло на внешней памяти и работало без проблем. В папки с прошлыми версиями навитела не залезал, ничего не трогал. И когда обнаружилось, что старые версии перестали работать(предположительно после установки последней версии навитела), сбросил из запасников варианты версий v.3.5.... на внутреннюю флеш - но и они отказались запускаться (ошибка Instruction at [0x001fe4f0] reads from invalid address[0xfffffff0]. Handler:[0x00236b10]). И поскольку ошибка одна и та же для всех вариантов Навитела (а их накопилось уже порядка десяти), появилось предположение, что проблема находится в операционке

 

P.S. Старые версии нужны для работы с OSMовскими картами. Седьмой Навител работает как-то с OSM, но у "Ильи" появляется словесный понос и он всю дорогу без умолку изрыгает весь свой словарный запас

Изменено пользователем Dolly
Ссылка на комментарий
Поделиться на других сайтах

Старые версии нужны для работы с OSMовскими картами

Ставьте альтернативное меню . Ищите на 4pna или gps-club .

Instruction at [0x001fe4f0]

Форматирование должно помочь . См. пост #2 .

Изменено пользователем Breez11
Ссылка на комментарий
Поделиться на других сайтах

(ошибка Instruction at [0x001fe4f0] reads from invalid address[0xfffffff0]. Handler:[0x00236b10]). И поскольку ошибка одна и та же для всех вариантов Навитела (а их накопилось уже порядка десяти), появилось предположение, что проблема находится в операционке

Я тут столкнулся с такой ошибкой, по ошибке в версию 5.5.1. поставил скин от версии 7.0.0., и при выборе этого выскакивала как раз такая ошибка, а так как у вас папка Navi одна на все версии, то в настройках у вас путь на скин версии программы 7.0.0., поэтому ставьте программу на чистую флеш память и всё будет работать, или ищите альтернативное меню и изучайте Script, чтоб для каждой версии подкладывать свою папку Navi.

Ссылка на комментарий
Поделиться на других сайтах

Спасибо, будем ковыряться.

А может и скин виноват. Похоже, что вылетает именно тогда, когда пытается загрузить скин. Бывало и не раз, при запуске вопила "Мне не нравится этот скин, загружу свой". А тут могет быть не свезло и скин успел "завалить" загрузчик

Изменено пользователем Dolly
Ссылка на комментарий
Поделиться на других сайтах

А может и скрин виноват. Похоже, что вылетает именно тогда, когда пытается загрузить скрин. Бывало и не раз, при запуске вопила "Мне не нравится этот скин, загружу свой". А тут могет быть не свезло и скрин успел "завалить" загрузчик

Мысли вслух: Скрин (screen) - это экран, а скин (skin) - шкура, кожа, оболочка. :)

Ссылка на комментарий
Поделиться на других сайтах

Победа!?

user78net упомянул про скин и я с ним согласился.

В папочке Navi (Dataflash-внутренняя флеш) есть файл settings.001.ini . А в этом файле - строчка Skin = \SDMMC\Navi700_342\NAVITEL.NS2. Т.е. она предписывала брать скрин из внешней флешки, из папки, где сидел последний навител со своим скином-убийцей. Перенаправить на нужный скин не проблема.Перезапускаю, предвкушаю, НО.......... не тут-то было. Ошибка появилась вновь! Причина определилась достаточно быстро.В этой же папке сидит копия файла settings.001.ini файл settings.001.bck . При запуске "загрузчику" не понравился (почему-то?)модернизированый settings.001.ini и .ini был заменен на .bck. Но и мы не лыком шиты. Удаляем .bck. Пусть гаджет попляшет в его поиске. Сказано-сделано. Перезапускаем.........УРА!!! не виснет - поехал дальше! И все-таки лягнулся: не нравится видите ли емуtimezones.tz. Ну что сказать - имеет право - с версии 3.5 воды утекло много. Ткнул на OK и машина покатилась дальше в нужном направлении. Работает! Вернуться назад в будущее v.7.0.0.342 еще не пробовал.

Теперь вопросы к спецам

1. (главный)Как ужиться несовместимым (в известном смысле) версиям в одном навигаторе? Раньше если текущий скин не нравился, он заменялся на тот, который был в папке навитела_по_умолчанию_. А тут скин успевает убить загрузку. Чтобы не изобретать велосипед, укажите ищущему путь к скриптам

2. Не разбирался с несовместимостью timezones.tz. Формально, она оказалась не фатальной. Но вот каких последствий можно ожидать

3. Почему "загрузчику" не понравился settings.001.ini. Контрольную сумму напрямую не увидел. Есть CRC - но для карты

Спасибо всем товарищам не бросившим меня в трудную минуту

 

P.S. Да, еще, за N лет пользования навигатором ни разу не было необходимости в форматировании ни унутренней памяти ни унешней.

Изменено пользователем Jeffes
Ссылка на комментарий
Поделиться на других сайтах

Чтобы не изобретать велосипед, укажите ищущему путь к скриптам

Ссылка.

Ссылка на комментарий
Поделиться на других сайтах

1. (главный)Как ужиться несовместимым (в известном смысле) версиям в одном навигаторе?

Вообще-то это запрещается Лицензионным соглашением... Должна использоваться только одна версия.

 

Раньше если текущий скин не нравился, он заменялся на тот, который был в папке навитела_по_умолчанию_. А тут скин успевает убить загрузку. Чтобы не изобретать велосипед, укажите ищущему путь к скриптам

И сейчас так же - берётся стандартный скин. Но у вас как-то не очень правильно - видимо программе скин понравился, только переварить она его не смогла. :)

Скрипты, нарушающие Соглашение, здесь как бы неуместны. Сходите на 4pna...

 

2. Не разбирался с несовместимостью timezones.tz. Формально, она оказалась не фатальной. Но вот каких последствий можно ожидать

Может неправильно определять пояс и время. Это в лучшем случае. А в худшем - повесить программу.

В каждой версии нужно использовать свой файл таймзон.

 

3. Почему "загрузчику" не понравился settings.001.ini. Контрольную сумму напрямую не увидел. Есть CRC - но для карты

Что есть "загрузчик"? Виндовому загрузчику этот файл по барабану, он не знает о его существовании. А у Навитела загручика, как такового, нет.

А по существу вопроса - программе не понравились параметры от старой версии (или наоборот - от новой), она не смогла их правильно обработать. Структура файла и набор параметров в settings значительно меняется от версии к версии.

Изменено пользователем Yurych
Ссылка на комментарий
Поделиться на других сайтах

1. (главный)Как ужиться несовместимым (в известном смысле) версиям в одном навигаторе?

Вообще-то это запрещается Лицензионным соглашением... Должна использоваться только одна версия.

Т.е. по Соглашению я не имею права откатится на предыдущую версию? Подчеркиваю, речь здесь и далее идет исключительно о легальных версиях

Раньше если текущий скин не нравился, он заменялся на тот, который был в папке навитела_по_умолчанию_. А тут скин успевает убить загрузку. Чтобы не изобретать велосипед, укажите ищущему путь к скриптам

И сейчас так же - берётся стандартный скин. Но у вас как-то не очень правильно - видимо программе скин понравился, только переварить она его не смогла. :)

Скрипты, нарушающие Соглашение, здесь как бы неуместны. Сходите на 4pna...

Не переварить,она просто подавилась им :lol:

При загрузке версии 3.5. в settings.001.ini. стояло все от NaviTel-7.0.0.342. в т.ч. и скин. Естественно, так как он устанавливался (запускался?) последним. Навигатор позволяет изменить путь к запускаемому файлу navitel.exe. Что и было сделано. Но settings.001.ini остался прежним. Здесь и возникла коллизия. Скин один - от v.7.0.0.342. Какой скин и чей нарушает соглашение? Предполагаю, что если кто-то повторит этот путь, результат будет тот же.

 

---------------

Остался вопрос - кто и когда меняет settings.001.ini. Ведь по сути установки нет. Заливаем в нужную папку и запускаем (сам exe-шник и меняет?). Или я что-то упустил?

Ссылка на комментарий
Поделиться на других сайтах

Т.е. по Соглашению я не имею права откатится на предыдущую версию? Подчеркиваю, речь здесь и далее идет исключительно о легальных версиях

Лучше прочитайте лицензионное соглашение полностью. Оно здесь.

В контексте обсуждаемого вопроса, обратите внимание на пункты 3.7 и 4.2.

 

Остался вопрос - кто и когда меняет settings.001.ini. Ведь по сути установки нет. Заливаем в нужную папку и запускаем (сам exe-шник и меняет?). Или я что-то упустил?

settings.001.ini - файл настроек программы. Соответственно, меняет его программа когда она запущена, если Вы меняете какие-либо настройки в программе... или как-то поподробней надо?

Ссылка на комментарий
Поделиться на других сайтах

Вообще-то это запрещается Лицензионным соглашением... Должна использоваться только одна версия.

Т.е. по Соглашению я не имею права откатится на предыдущую версию? Подчеркиваю, речь здесь и далее идет исключительно о легальных версиях

Откатиться - можете. Но только с удалением установленной версии. А вот у вас, если верить вашим словам из предыдущих постов, на навигаторе лежат несколько версий и вы их запускаете поочередно, то для новых карт, то для OSM, то для экспериментов... :)

 

При загрузке версии 3.5. в settings.001.ini. стояло все от NaviTel-7.0.0.342. в т.ч. и скин. Естественно, так как он устанавливался (запускался?) последним. Навигатор позволяет изменить путь к запускаемому файлу navitel.exe. Что и было сделано. Но settings.001.ini остался прежним. Здесь и возникла коллизия.

Откуда бы вы ни запускали Навител, он во всех случаях (если, конечно, вы запускаете родные сборки) использует одну и ту же папку Navi и один и тот же файл настроек. Никаким изменением пути запуска в самом навигаторе это не изменить.

 

А вообще, я знаю 2 причины для того, чтобы settings остался неизменным:

1. Запущена пиратская версия.

2. Программа не смогла нормально стартовать и пройти этап инициализации (почему - это другая песня), в результате чего до обновления файла программа просто не дошла.

Может быть у вас какой-то 3-й случай, но в это не очень-то верится...

 

Скин один - от v.7.0.0.342. Какой скин и чей нарушает соглашение?

Прочтите соглашение сами. Там про скин даже пол-слова нет. Как и про другие компоненты продукта. Лицензируется продукт, а не его запчасти.

Изменено пользователем Yurych
Ссылка на комментарий
Поделиться на других сайтах

 

При загрузке версии 3.5. в settings.001.ini. стояло все от NaviTel-7.0.0.342. в т.ч. и скин. Естественно, так как он устанавливался (запускался?) последним. Навигатор позволяет изменить путь к запускаемому файлу navitel.exe. Что и было сделано. Но settings.001.ini остался прежним. Здесь и возникла коллизия.

Откуда бы вы ни запускали Навител, он во всех случаях (если, конечно, вы запускаете родные сборки) использует одну и ту же папку Navi и один и тот же файл настроек. Никаким изменением пути запуска в самом навигаторе это не изменить.

 

А вообще, я знаю 2 причины для того, чтобы settings остался неизменным:

1. Запущена пиратская версия.

2. Программа не смогла нормально стартовать и пройти этап инициализации (почему - это другая песня), в результате чего до обновления файла программа просто не дошла.

Может быть у вас какой-то 3-й случай, но в это не очень-то верится...

Исчо раз.

Запущена 7...342 версия. Она сумела переварить существующий settings.001.ini и сделала новый

После(!) этого.

Для запуска версии 3.5. я могу(настройками навигатора) изменить существующий путь к navitel.exe, но я НЕ МОГУ (настройками навигатора) изменить существующий settings.001.ini

Таким образом, при запуске новой(другой) версии навитела используется существующий (от предыдущего Navitel'a 7.....) settings.001.ini. Вот тут-то Navitel.exe и сломал зубы о скин(не поэтому ли, в частности, Навител требует удалять предыдущие версии?)

И причем здесь пункты 1.,2.и какой-то п.3? Зачем искать кошку в темной комнате, когда там ее нет?

Ссылка на комментарий
Поделиться на других сайтах

Откуда бы вы ни запускали Навител, он во всех случаях (если, конечно, вы запускаете родные сборки) использует одну и ту же папку Navi и один и тот же файл настроек. Никаким изменением пути запуска в самом навигаторе это не изменить.

Исчо раз.

Запущена 7...342 версия. Она сумела переварить существующий settings.001.ini и сделала новый После(!) этого.

Для запуска версии 3.5. я могу(настройками навигатора) изменить существующий путь к navitel.exe, но я НЕ МОГУ (настройками навигатора) изменить существующий settings.001.ini

А я именно это вам и говорил. Не поверили? Исчо раз: "Откуда бы вы ни запускали Навител, он во всех случаях (если, конечно, вы запускаете родные сборки) использует одну и ту же папку Navi и один и тот же файл настроек". Ваша 7.0.0 , видимо, как-то сумела переварить старый Settings, но старушка 3.5.0 - увы, не смогла. Файл-то тот же, да вот параметры не те, не такие. Хотя параметр с именем скина, очевидно, тот же, да сам скин не такой, причем 3.5.0 явно оказалась неспособной распознать даже номер версии скина...

 

Вот тут-то Navitel.exe и сломал зубы о скин(не поэтому ли, в частности, Навител требует удалять предыдущие версии?)

Требует? Инструкция не требует удалять папку Navi или хотя бы settings.001.ini, требуется удалять только содержимое папки с программой..

И совершенно зря не требует, по моему. Я бы добавил такой пункт в инструкцию. Или вынес бы settings.001.ini в папку с программой, где он раньше и лежал, в предыдущих версиях.

 

И причем здесь пункты 1.,2.и какой-то п.3? Зачем искать кошку в темной комнате, когда там ее нет?

Кошки точно не при чём, а вот поведение программы у вас вполне укладывается в причину №2.

Ссылка на комментарий
Поделиться на других сайтах

Парню явно нужно поставить Windows 95 и 98 на один диск С и посмотреть, что из этого получится... :lol:

Вы сами себе противоречите. Навител от версии к версии использует одни и те же временные файлы для своей работы. Масса народа при частичном обновлении (без полной очистки навигатора) получают проблему, которая с помощью гуру, либо техподдержки решается советом по удалению файлов типа Settinds.

 

Возникает вопрос: 1. Для чего этим заморачивать форум? 2. Необходимость существования двух версий ПО одновременно? Если Вы катаетесь с Лэди по своему поселку по картам ОСМ и необходимо, чтобы Аленка сообщала о развязках, используйте 3.5.хх как только приспичило выехать из области, все удаляем - 10-15 мин копирования и у Вас 7.0 с картой России....

Ссылка на комментарий
Поделиться на других сайтах

Парню явно нужно поставить Windows 95 и 98 на один диск С и посмотреть, что из этого получится... :lol:

Вы сами себе противоречите. Навител от версии к версии использует одни и те же временные файлы для своей работы. Масса народа при частичном обновлении (без полной очистки навигатора) получают проблему, которая с помощью гуру, либо техподдержки решается советом по удалению файлов типа Settinds.

 

Возникает вопрос: 1. Для чего этим заморачивать форум? 2. Необходимость существования двух версий ПО одновременно? Если Вы катаетесь с Лэди по своему поселку по картам ОСМ и необходимо, чтобы Аленка сообщала о развязках, используйте 3.5.хх как только приспичило выехать из области, все удаляем - 10-15 мин копирования и у Вас 7.0 с картой России....

 

Вы поздно проснулись. Уже все обсудили. С теми, кто в теме. Спасибо им. Вопрос обглодан со всех сторон.

Ссылка на комментарий
Поделиться на других сайтах

Присоединяйтесь к обсуждению

Вы можете опубликовать сообщение сейчас, а зарегистрироваться позже. Если у вас есть аккаунт, войдите в него для написания от своего имени.

Гость
Ответить в тему...

×   Вставлено в виде отформатированного текста.   Вставить в виде обычного текста

  Разрешено не более 75 эмодзи.

×   Ваша ссылка была автоматически встроена.   Отобразить как ссылку

×   Ваш предыдущий контент был восстановлен.   Очистить редактор

×   Вы не можете вставить изображения напрямую. Загрузите или вставьте изображения по ссылке.

×
×
  • Создать...